# arcgis-item-engine

Engine for powering ArcGIS item workflows in Node.js and web browsers.

## Installation

```bash
$ npm install arcgis-item-engine
```

## Example

```js
import { updateItemDescription } from 'arcgis-item-engine';
import { UserSession } from '@esri/arcgis-rest-auth';

updateItemDescription(
  {
    id: '0123456789abcdef0123456789abcdef', // item id
    authentication: new UserSession({ // user login w/update permissions
      username: 'example_user',
      password: 'password',
    }),
  },
  {
    title: 'Updated Title',
    // more properties...
  }, // description property updates
)
  .onProgress((progress) => {
    console.log(`Progress: ${progress}%`);
  })
  .then((result) => {
    console.log(result); // json response
  });
```
