var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { createItemInFolder, } from '@esri/arcgis-rest-portal';
import { createOperation, parallel, series, } from '../../utilities/index.js';
import { addItemResource } from './resources/index.js';
import { CombinedItemOperationTypes, } from './types.js';
export { addItemData } from './data/index.js';
export { addItemResource };
/**
 * Create an Item and add resources and data.
 *
 * @param requestOptions - Options for the request
 * @param item - Item content options
 * @param item.description - Item description
 * @param item.data - Item data
 * @param item.resources - Item resources
 * @returns A PProgress Promise that will resolve with the status of the add.
 */
export function addItem(requestOptions, _a) {
    var description = _a.description, data = _a.data, resources = _a.resources;
    // create steps to run after item is created
    var postCreateSteps = [];
    if (resources === null || resources === void 0 ? void 0 : resources.length) {
        postCreateSteps.push(function (_a) {
            var id = _a.id, response = __rest(_a, ["id"]);
            return parallel.apply(void 0, resources.map(function (resource) {
                return addItemResource(__assign({ id: id }, requestOptions), resource);
            })).then(function (results) { return (__assign(__assign({ id: id }, response), { resources: results })); });
        });
    }
    return createOperation(CombinedItemOperationTypes.ADD_ITEM, [
        series.apply(void 0, __spreadArray([createItemInFolder(__assign(__assign({ item: description }, data), requestOptions))], postCreateSteps, false)),
    ]);
}
//# sourceMappingURL=add.js.map