var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { addItemData as addData, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../../utilities/index.js';
import { ItemDataOperationTypes } from './types.js';
/**
 * Send a file or blob to an item to be stored as the /data resource.
 *
 * @param requestOptions - Options for the request
 * @param data - Object to store
 * @returns A PProgress Promise that will resolve with an object reporting success/failure and
 *          echoing the item id.
 */
export default function addItemData(requestOptions, 
// eslint-disable-next-line @typescript-eslint/no-explicit-any
data) {
    return createOperation(ItemDataOperationTypes.ADD_ITEM_DATA, [addData(__assign(__assign({}, requestOptions), { data: data }))], requestOptions);
}
//# sourceMappingURL=add.js.map