var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { getItemData as getData } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../../utilities/index.js';
import { ItemDataOperationTypes } from './types.js';
/**
 * Get the /data for an item. If no data exists, returns undefined.
 *
 * @param requestOptions - Options for the request
 * @param requestOptions.id - Item Id
 * @returns A PProgress Promise that will resolve with the json data for the item.
 */
export default function getItemData(_a) {
    var id = _a.id, requestOptions = __rest(_a, ["id"]);
    return createOperation(ItemDataOperationTypes.GET_ITEM_DATA, [getData(id, requestOptions)], __assign({ id: id }, requestOptions));
}
//# sourceMappingURL=get.js.map