var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { createOperation, parallel, } from '../../utilities/index.js';
import { getItemData } from './data/index.js';
import { getItemDescription } from './description/index.js';
import { getItemResource, getItemResources } from './resources/index.js';
import { getItemTypeInfo, ItemTypeInfos, ItemTypes } from './type/index.js';
import { CombinedItemOperationTypes } from './types.js';
export { getItemData };
export { getItemDescription };
export { getItemResource, getItemResources };
export { getItemTypeInfo, ItemTypeInfos, ItemTypes };
/**
 * Get an item's description, and optionally the item's data and resources.
 *
 * @param requestOptions - Options for the request
 * @param requestOptions.id - Item Id
 * @param options - Options for the request
 * @param options.data - Include item data
 * @param options.resources - Include item resources
 * @returns A PProgress Promise that will resolve with the item description and optional data
 */
export function getItem(_a, _b) {
    var id = _a.id, requestOptions = __rest(_a, ["id"]);
    var _c = _b.data, data = _c === void 0 ? true : _c, _d = _b.resources, resources = _d === void 0 ? false : _d;
    // build an object with selected option operations
    var properties = __assign(__assign({ description: getItemDescription(__assign({ id: id }, requestOptions)) }, (data && { data: getItemData(__assign({ id: id }, requestOptions)) })), (resources && {
        resources: getItemResources(__assign({ id: id }, requestOptions)),
    }));
    // split object to array of operations returning an object with single property
    var operations = Object.entries(properties).map(function (_a) {
        var key = _a[0], value = _a[1];
        return value.then(function (result) {
            var _a;
            return (_a = {}, _a[key] = result, _a);
        });
    });
    // merge individual operation result objects back into a single object
    var steps = [
        parallel.apply(void 0, operations).then(function (results) {
            var item = Object.assign.apply(Object, __spreadArray([{ id: id }], results, false));
            return __assign({ type: getItemTypeInfo(item.description) }, item);
        }),
    ];
    return createOperation(CombinedItemOperationTypes.GET_ITEM, steps, __assign({ id: id }, requestOptions));
}
//# sourceMappingURL=get.js.map