import { removeItem as remove, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../utilities/index.js';
import { CombinedItemOperationTypes } from './types.js';
export { removeItemResource } from './resources/index.js';
/**
 * Removes an item from the portal.
 *
 * @param requestOptions - Options for the request
 * @returns A PProgress Promise that will resolve with status of the removal.
 */
export function removeItem(requestOptions) {
    return createOperation(CombinedItemOperationTypes.REMOVE_ITEM, [remove(requestOptions)], requestOptions);
}
//# sourceMappingURL=remove.js.map