var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { removeItemResource as removeResource, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../../utilities/index.js';
import { ItemResourceOperationTypes } from './types.js';
/**
 * Remove a resource associated with an item
 *
 * @param requestOptions - Options for the request
 * @param resource - Resource to remove
 * @returns A PProgress Promise that will resolve with status of the removal.
 */
export default function removeItemResource(requestOptions, resource) {
    return createOperation(ItemResourceOperationTypes.REMOVE_ITEM_RESOURCE, [removeResource(__assign(__assign({}, requestOptions), resource))], requestOptions);
}
//# sourceMappingURL=remove.js.map