var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { updateItemResource as updateResource, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../../utilities/index.js';
import { ItemResourceOperationTypes } from './types.js';
/**
 * Update a resource associated with an item.
 *
 * @param requestOptions - Options for the request
 * @param resource - Resource to update
 * @returns A PProgress Promise that will resolve with status of the update.
 */
export default function updateItemResource(requestOptions, resource) {
    return createOperation(ItemResourceOperationTypes.UPDATE_ITEM_RESOURCE, [updateResource(__assign(__assign({}, requestOptions), resource))], requestOptions);
}
//# sourceMappingURL=update.js.map