var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { ItemTypeCategories, ItemTypeClassifications, } from '../../types.js';
import { DesktopApplicationsItemTypes, DesktopLayersItemTypes, DesktopMapsItemTypes, DesktopStylesItemTypes, DesktopToolsItemTypes, } from './types.js';
/**
 * Combined enum describing the different Desktop content item types.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION1_E7F40C5B47064B09A35C0232D132424E) for more information.
 */
export var DesktopItemTypes = __assign(__assign(__assign(__assign(__assign({}, DesktopApplicationsItemTypes), DesktopLayersItemTypes), DesktopMapsItemTypes), DesktopStylesItemTypes), DesktopToolsItemTypes);
/**
 * Array of info objects describing the different Desktop content item types.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION1_E7F40C5B47064B09A35C0232D132424E) for more information.
 */
export var DesktopItemTypeInfos = __spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray([], Object.values(DesktopApplicationsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.APPLICATIONS,
}); }), true), Object.values(DesktopLayersItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.LAYERS,
}); }), true), Object.values(DesktopMapsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.MAPS,
}); }), true), Object.values(DesktopStylesItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.STYLES,
}); }), true), Object.values(DesktopToolsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.TOOLS,
}); }), true).map(function (itemInfo) { return (__assign(__assign({}, itemInfo), { category: ItemTypeCategories.DESKTOP })); });
//# sourceMappingURL=index.js.map