/**
 * Enum describing the different Desktop content item types classified as applications.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_E315C116A9214EF39BD376D2F3A9C033) for more information.
 */
export var DesktopApplicationsItemTypes;
(function (DesktopApplicationsItemTypes) {
    DesktopApplicationsItemTypes["ARCGIS_PRO_ADD_IN"] = "ArcGIS Pro Add In";
    DesktopApplicationsItemTypes["CODE_SAMPLE"] = "Code Sample";
    DesktopApplicationsItemTypes["DESKTOP_ADD_IN"] = "Desktop Add In";
    DesktopApplicationsItemTypes["DESKTOP_APPLICATION"] = "Desktop Application";
    DesktopApplicationsItemTypes["DESKTOP_APPLICATION_TEMPLATE"] = "Desktop Application Template";
    DesktopApplicationsItemTypes["EXPLORER_ADD_IN"] = "Explorer Add In";
    DesktopApplicationsItemTypes["SURVEY123_ADD_IN"] = "Survey123 Add In";
    DesktopApplicationsItemTypes["WORKFLOW_MANAGER_PACKAGE"] = "Workflow Manager Package";
})(DesktopApplicationsItemTypes || (DesktopApplicationsItemTypes = {}));
/**
 * Enum describing the different Desktop content item types classified as layers.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_B3556074EC5E4BF8B2A8F860B3326E26) for more information.
 */
export var DesktopLayersItemTypes;
(function (DesktopLayersItemTypes) {
    DesktopLayersItemTypes["EXPLORER_LAYER"] = "Explorer Layer";
    DesktopLayersItemTypes["IMAGE_COLLECTION"] = "Image Collection";
    DesktopLayersItemTypes["LAYER"] = "Layer";
    DesktopLayersItemTypes["LAYER_PACKAGE"] = "Layer Package";
    DesktopLayersItemTypes["PRO_REPORT"] = "Pro Report";
    DesktopLayersItemTypes["SCENE_PACKAGE"] = "Scene Package";
})(DesktopLayersItemTypes || (DesktopLayersItemTypes = {}));
/**
 * Enum describing the different Desktop content item types classified as maps.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_F11B0439854A4F80B7AC70F1275C60DE) for more information.
 */
export var DesktopMapsItemTypes;
(function (DesktopMapsItemTypes) {
    DesktopMapsItemTypes["ARCPAD_PACKAGE"] = "ArcPad Package";
    DesktopMapsItemTypes["COMPACT_TILE_PACKAGE"] = "Compact Tile Package";
    DesktopMapsItemTypes["EXPLORER_MAP"] = "Explorer Map";
    DesktopMapsItemTypes["GLOBE_DOCUMENT"] = "Globe Document";
    DesktopMapsItemTypes["LAYOUT"] = "Layout";
    DesktopMapsItemTypes["MAP_DOCUMENT"] = "Map Document";
    DesktopMapsItemTypes["MAP_PACKAGE"] = "Map Package";
    DesktopMapsItemTypes["MAP_TEMPLATE"] = "Map Template";
    DesktopMapsItemTypes["MOBILE_BASEMAP_PACKAGE"] = "Mobile Basemap Package";
    DesktopMapsItemTypes["MOBILE_MAP_PACKAGE"] = "Mobile Map Package";
    DesktopMapsItemTypes["MOBILE_SCENE_PACKAGE"] = "Mobile Scene Package";
    DesktopMapsItemTypes["PRO_MAP"] = "Pro Map";
    DesktopMapsItemTypes["PROJECT_PACKAGE"] = "Project Package";
    DesktopMapsItemTypes["PROJECT_TEMPLATE"] = "Project Template";
    DesktopMapsItemTypes["PUBLISHED_MAP"] = "Published Map";
    DesktopMapsItemTypes["SCENE_DOCUMENT"] = "Scene Document";
    DesktopMapsItemTypes["TASK_FILE"] = "Task File";
    DesktopMapsItemTypes["TILE_PACKAGE"] = "Tile Package";
    DesktopMapsItemTypes["VECTOR_TILE_PACKAGE"] = "Vector Tile Package";
    DesktopMapsItemTypes["WINDOWS_MOBILE_PACKAGE"] = "Windows Mobile Package";
})(DesktopMapsItemTypes || (DesktopMapsItemTypes = {}));
/**
 * Enum describing the different Desktop content item types classified as styles.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_D49D7EFE12C54B11ACA375D852448B9B) for more information.
 */
export var DesktopStylesItemTypes;
(function (DesktopStylesItemTypes) {
    DesktopStylesItemTypes["DESKTOP_STYLE"] = "Desktop Style";
})(DesktopStylesItemTypes || (DesktopStylesItemTypes = {}));
/**
 * Enum describing the different Desktop content item types classified as tools.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_98B5281992784554B2385DC71A96F4B7) for more information.
 */
export var DesktopToolsItemTypes;
(function (DesktopToolsItemTypes) {
    DesktopToolsItemTypes["ARCGIS_PRO_CONFIGURATION"] = "ArcGIS Pro Configuration";
    DesktopToolsItemTypes["DEEP_LEARNING_PACKAGE"] = "Deep Learning Package";
    DesktopToolsItemTypes["GEOPROCESSING_PACKAGE"] = "Geoprocessing Package";
    DesktopToolsItemTypes["GEOPROCESSING_PACKAGE_PRO_VERSION"] = "Geoprocessing Package (Pro version)";
    DesktopToolsItemTypes["GEOPROCESSING_SAMPLE"] = "Geoprocessing Sample";
    DesktopToolsItemTypes["LOCATOR_PACKAGE"] = "Locator Package";
    DesktopToolsItemTypes["RASTER_FUNCTION_TEMPLATE"] = "Raster function template";
    DesktopToolsItemTypes["RULE_PACKAGE"] = "Rule Package";
})(DesktopToolsItemTypes || (DesktopToolsItemTypes = {}));
//# sourceMappingURL=types.js.map