var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { ItemTypeCategories, ItemTypeClassifications, } from '../../types.js';
import { WebApplicationsItemTypes, WebDataFilesItemTypes, WebLayersItemTypes, WebMapsItemTypes, WebToolsItemTypes, } from './types.js';
/**
 * Combined enum describing the different Web content item types.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION1_72230A5FBC544EFBB47CF3A9F9B217AE) for more information.
 */
export var WebItemTypes = __assign(__assign(__assign(__assign(__assign({}, WebApplicationsItemTypes), WebDataFilesItemTypes), WebLayersItemTypes), WebMapsItemTypes), WebToolsItemTypes);
/**
 * Array of info objects describing the different Web content item types.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION1_72230A5FBC544EFBB47CF3A9F9B217AE) for more information.
 */
export var WebItemTypeInfos = __spreadArray(__spreadArray(__spreadArray(__spreadArray(__spreadArray([], Object.values(WebApplicationsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.APPLICATIONS,
}); }), true), Object.values(WebDataFilesItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.DATA_FILES,
}); }), true), Object.values(WebLayersItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.LAYERS,
}); }), true), Object.values(WebMapsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.MAPS,
}); }), true), Object.values(WebToolsItemTypes).map(function (name) { return ({
    name: name,
    classification: ItemTypeClassifications.TOOLS,
}); }), true).map(function (itemInfo) { return (__assign(__assign({}, itemInfo), { category: ItemTypeCategories.WEB })); });
//# sourceMappingURL=index.js.map