/**
 * Enum describing the different Web content item types classified as applications.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_FDC9D85D0CF4492082434406739EF158) for more information.
 */
export var WebApplicationsItemTypes;
(function (WebApplicationsItemTypes) {
    WebApplicationsItemTypes["APPBUILDER_EXTENSION"] = "AppBuilder Extension";
    WebApplicationsItemTypes["APPBUILDER_WIDGET_PACKAGE"] = "AppBuilder Widget Package";
    WebApplicationsItemTypes["CODE_ATTACHMENT"] = "Code Attachment";
    WebApplicationsItemTypes["DASHBOARD"] = "Dashboard";
    WebApplicationsItemTypes["EXCALIBUR_IMAGERY_PROJECT"] = "Excalibur Imagery Project";
    WebApplicationsItemTypes["FORM"] = "Form";
    WebApplicationsItemTypes["GEOBIM_APPLICATION"] = "GeoBIM Application";
    WebApplicationsItemTypes["GEOBIM_PROJECT"] = "GeoBIM Project";
    WebApplicationsItemTypes["HUB_EVENT"] = "Hub Event";
    WebApplicationsItemTypes["HUB_INITIATIVE"] = "Hub Initiative";
    WebApplicationsItemTypes["HUB_INITIATIVE_TEMPLATE"] = "Hub Initiative Template";
    WebApplicationsItemTypes["HUB_PAGE"] = "Hub Page";
    WebApplicationsItemTypes["HUB_SITE_APPLICATION"] = "Hub Site Application";
    WebApplicationsItemTypes["INSIGHTS_MODEL"] = "Insights Model";
    WebApplicationsItemTypes["INSIGHTS_PAGE"] = "Insights Page";
    WebApplicationsItemTypes["INSIGHTS_THEME"] = "Insights Theme";
    WebApplicationsItemTypes["INSIGHTS_WORKBOOK"] = "Insights Workbook";
    WebApplicationsItemTypes["INSIGHTS_WORKBOOK_PACKAGE"] = "Insights Workbook Package";
    WebApplicationsItemTypes["MISSION"] = "Mission";
    WebApplicationsItemTypes["MOBILE_APPLICATION"] = "Mobile Application";
    WebApplicationsItemTypes["NATIVE_APPLICATION"] = "Native Application";
    WebApplicationsItemTypes["NATIVE_APPLICATION_INSTALLER"] = "Native Application Installer";
    WebApplicationsItemTypes["NOTEBOOK"] = "Notebook";
    WebApplicationsItemTypes["OPERATION_VIEW"] = "Operation View";
    WebApplicationsItemTypes["OPERATIONS_DASHBOARD_ADD_IN"] = "Operations Dashboard Add In";
    WebApplicationsItemTypes["OPERATIONS_DASHBOARD_EXTENSION"] = "Operations Dashboard Extension";
    WebApplicationsItemTypes["ORTHO_MAPPING_PROJECT"] = "Ortho Mapping Project";
    WebApplicationsItemTypes["ORTHO_MAPPING_TEMPLATE"] = "Ortho Mapping Template";
    WebApplicationsItemTypes["SOLUTION"] = "Solution";
    WebApplicationsItemTypes["STORYMAP"] = "StoryMap";
    WebApplicationsItemTypes["WEB_APPBUILDER_WIDGET"] = "Web AppBuilder Widget";
    WebApplicationsItemTypes["WEB_EXPERIENCE"] = "Web Experience";
    WebApplicationsItemTypes["WEB_EXPERIENCE_TEMPLATE"] = "Web Experience Template";
    WebApplicationsItemTypes["WEB_MAPPING_APPLICATION"] = "Web Mapping Application";
    WebApplicationsItemTypes["WORKFORCE_PROJECT"] = "Workforce Project";
})(WebApplicationsItemTypes || (WebApplicationsItemTypes = {}));
/**
 * Enum describing the different Web content item types classified as data files.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_8A37B565D38C4807B26D3EE85C576C03) for more information.
 */
export var WebDataFilesItemTypes;
(function (WebDataFilesItemTypes) {
    WebDataFilesItemTypes["ADMINISTRATIVE_REPORT"] = "Administrative Report";
    WebDataFilesItemTypes["APACHE_PARQUET"] = "Apache Parquet";
    WebDataFilesItemTypes["CAD_DRAWING"] = "CAD Drawing";
    WebDataFilesItemTypes["CSV"] = "CSV";
    WebDataFilesItemTypes["COLOR_SET"] = "Color Set";
    WebDataFilesItemTypes["CONTENT_CATEGORY_SET"] = "Content Category Set";
    WebDataFilesItemTypes["DOCUMENT_LINK"] = "Document Link";
    WebDataFilesItemTypes["EARTH_CONFIGURATION"] = "Earth configuration";
    WebDataFilesItemTypes["EXPORT_PACKAGE"] = "Export Package";
    WebDataFilesItemTypes["FILE_GEODATABASE"] = "File Geodatabase";
    WebDataFilesItemTypes["GML"] = "GML";
    WebDataFilesItemTypes["GEOJSON"] = "GeoJson";
    WebDataFilesItemTypes["GEOPACKAGE"] = "GeoPackage";
    WebDataFilesItemTypes["IMAGE"] = "Image";
    WebDataFilesItemTypes["MICROSOFT_EXCEL"] = "Microsoft Excel";
    WebDataFilesItemTypes["MICROSOFT_POWERPOINT"] = "Microsoft Powerpoint";
    WebDataFilesItemTypes["MICROSOFT_WORD"] = "Microsoft Word";
    WebDataFilesItemTypes["PDF"] = "PDF";
    WebDataFilesItemTypes["REPORT_TEMPLATE"] = "Report Template";
    WebDataFilesItemTypes["SQLITE_GEODATABASE"] = "SQLite Geodatabase";
    WebDataFilesItemTypes["SERVICE_DEFINITION"] = "Service Definition";
    WebDataFilesItemTypes["SHAPEFILE"] = "Shapefile";
    WebDataFilesItemTypes["STATISTICAL_DATA_COLLECTION"] = "Statistical Data Collection";
    WebDataFilesItemTypes["STORYMAP_THEME"] = "StoryMap Theme";
    WebDataFilesItemTypes["STYLE"] = "Style";
    WebDataFilesItemTypes["SYMBOL_SET"] = "Symbol Set";
    WebDataFilesItemTypes["VISIO_DOCUMENT"] = "Visio Document";
    WebDataFilesItemTypes["IWORK_KEYNOTE"] = "iWork Keynote";
    WebDataFilesItemTypes["IWORK_NUMBERS"] = "iWork Numbers";
    WebDataFilesItemTypes["IWORK_PAGES"] = "iWork Pages";
})(WebDataFilesItemTypes || (WebDataFilesItemTypes = {}));
/**
 * Enum describing the different Web content item types classified as layers.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_68F7CAD2C24E4B1D959F258895473597) for more information.
 */
export var WebLayersItemTypes;
(function (WebLayersItemTypes) {
    WebLayersItemTypes["FEATURE_COLLECTION"] = "Feature Collection";
    WebLayersItemTypes["FEATURE_COLLECTION_TEMPLATE"] = "Feature Collection Template";
    WebLayersItemTypes["FEATURE_SERVICE"] = "Feature Service";
    WebLayersItemTypes["GEODATA_SERVICE"] = "Geodata Service";
    WebLayersItemTypes["GLOBE_SERVICE"] = "Globe Service";
    WebLayersItemTypes["IMAGE_SERVICE"] = "Image Service";
    WebLayersItemTypes["KML"] = "KML";
    WebLayersItemTypes["KML_COLLECTION"] = "KML Collection";
    WebLayersItemTypes["MAP_SERVICE"] = "Map Service";
    WebLayersItemTypes["OGCFEATURESERVER"] = "OGCFeatureServer";
    WebLayersItemTypes["ORIENTED_IMAGERY_CATALOG"] = "Oriented Imagery Catalog";
    WebLayersItemTypes["RELATIONAL_DATABASE_CONNECTION"] = "Relational Database Connection";
    WebLayersItemTypes["SCENE_SERVICE"] = "Scene Service";
    WebLayersItemTypes["VECTOR_TILE_SERVICE"] = "Vector Tile Service";
    WebLayersItemTypes["WFS"] = "WFS";
    WebLayersItemTypes["WMS"] = "WMS";
    WebLayersItemTypes["WMTS"] = "WMTS";
})(WebLayersItemTypes || (WebLayersItemTypes = {}));
/**
 * Enum describing the different Web content item types classified as maps.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_0FD37F2FF64D487FBB13528264ADFA03) for more information.
 */
export var WebMapsItemTypes;
(function (WebMapsItemTypes) {
    WebMapsItemTypes["VR_360_EXPERIENCE"] = "360 VR Experience";
    WebMapsItemTypes["CITYENGINE_WEB_SCENE"] = "CityEngine Web Scene";
    WebMapsItemTypes["MAP_AREA"] = "Map Area";
    WebMapsItemTypes["PRO_MAP"] = "Pro Map";
    WebMapsItemTypes["WEB_MAP"] = "Web Map";
    WebMapsItemTypes["WEB_SCENE"] = "Web Scene";
})(WebMapsItemTypes || (WebMapsItemTypes = {}));
/**
 * Enum describing the different Web content item types classified as tools.
 *
 * See the [REST Documentation](https://developers.arcgis.com/rest/users-groups-and-items/items-and-item-types.htm#ESRI_SECTION2_FE95E24B16424C31AE0C885C4BE621D1) for more information.
 */
export var WebToolsItemTypes;
(function (WebToolsItemTypes) {
    WebToolsItemTypes["GEOCODING_SERVICE"] = "Geocoding Service";
    WebToolsItemTypes["GEOMETRY_SERVICE"] = "Geometry Service";
    WebToolsItemTypes["GEOPROCESSING_SERVICE"] = "Geoprocessing Service";
    WebToolsItemTypes["NETWORK_ANALYSIS_SERVICE"] = "Network Analysis Service";
    WebToolsItemTypes["WORKFLOW_MANAGER_SERVICE"] = "Workflow Manager Service";
})(WebToolsItemTypes || (WebToolsItemTypes = {}));
//# sourceMappingURL=types.js.map