var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { updateItem as update, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../utilities/index.js';
import { CombinedItemOperationTypes, } from './types.js';
export { updateItemData } from './data/index.js';
export { updateItemDescription } from './description/index.js';
export { updateItemResource } from './resources/index.js';
/**
 * Update an item
 *
 * @param requestOptions - Options for the request
 * @param requestOptions.id - Item Id
 * @param updates - Item updates
 * @param updates.data - The updated item content
 * @param updates.description - The [item description properties](https://developers.arcgis.com/rest/users-groups-and-items/common-parameters.htm) to update
 * @returns A PProgress Promise that will resolve with status of the update.
 */
export function updateItem(_a, _b) {
    var id = _a.id, requestOptions = __rest(_a, ["id"]);
    var data = _b.data, description = _b.description;
    return createOperation(CombinedItemOperationTypes.UPDATE_ITEM, [update(__assign({ item: __assign(__assign({ id: id }, data), description) }, requestOptions))], __assign({ id: id }, requestOptions));
}
//# sourceMappingURL=update.js.map