var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { getService, queryFeatures, } from '@esri/arcgis-rest-feature-layer';
import { createOperation } from '../../../utilities/index.js';
import { FeatureServiceOperationTypes, } from './types.js';
/**
 * Queries a feature service.
 *
 * @param requestOptions - Options for the request
 * @param url - Layer service url
 * @param query - A JSON object specifying query parameters.
 * @returns A PProgress Promise that will resolve with the query response.
 */
export function getFeatures(requestOptions, url, query) {
    return createOperation(FeatureServiceOperationTypes.GET_FEATURES, [
        queryFeatures(__assign(__assign(__assign({}, requestOptions), query), { url: url })),
    ]);
}
/**
 * Feature service definition request.
 *
 * @param requestOptions - Options for the request
 * @param url - Layer service url
 * @returns A PProgress Promise that will resolve with the service definition.
 */
export function getFeatureServiceDefinition(requestOptions, url) {
    return createOperation(FeatureServiceOperationTypes.GET_FEATURE_SERVICE_DEFINITION, [
        getService(__assign(__assign({}, requestOptions), { url: url })),
    ]);
}
//# sourceMappingURL=get.js.map