var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { getAllLayersAndTables, } from '@esri/arcgis-rest-feature-layer';
import { createOperation } from '../../utilities/index.js';
import { getFeatureServiceDefinition } from './feature/index.js';
import { CommonServiceOperationTypes } from './types.js';
export { getFeatureServiceDefinition };
/**
 * Fetches all the layers and tables associated with a given layer service.
 *
 * @param requestOptions - Options for the request
 * @param url - Layer service url
 * @returns A PProgress Promise that will resolve with the layers and tables for the given service.
 */
export function getLayersAndTables(requestOptions, url) {
    return createOperation(CommonServiceOperationTypes.GET_LAYERS_AND_TABLES, [
        getAllLayersAndTables(__assign(__assign({}, requestOptions), { url: url })),
    ]);
}
//# sourceMappingURL=get.js.map