var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
import { getPortalUrl } from '@esri/arcgis-rest-portal';
import { addItem, getItemData, getItemDescription, getItemResource, getItemResources, } from '../../../core/index.js';
import { createOperation, parallel, series, } from '../../../utilities/index.js';
import { newFile } from '../../../utilities/ponyfills.js';
import { BaseItemWorkflowOperationTypes, } from './types.js';
/**
 * Convert a raw /data response to a data file object.
 *
 * @param rawData - Raw /data fetch response
 * @param fileName - Data file name
 * @returns A Promise that will resolve with a data file
 */
export function convertRawDataResponseToData(rawData, fileName) {
    return __awaiter(this, void 0, void 0, function () {
        var filename, filenameMatch, contentType, blob;
        var _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    filename = fileName;
                    if (!filename && (rawData === null || rawData === void 0 ? void 0 : rawData.headers)) {
                        filenameMatch = /filename[^;\n]*=(UTF-\d['"]*)?((['"]).*?[.]\3|[^;\n]*)/i.exec(rawData.headers.get('content-disposition'));
                        if (filenameMatch) {
                            filename = filenameMatch[2];
                        }
                    }
                    if (!(rawData === null || rawData === void 0 ? void 0 : rawData.headers)) return [3 /*break*/, 2];
                    contentType = rawData.headers.get('content-type', '');
                    if (!(contentType.startsWith('text/') ||
                        contentType.startsWith('application/json;'))) return [3 /*break*/, 2];
                    _a = {};
                    return [4 /*yield*/, rawData.text()];
                case 1: return [2 /*return*/, (_a.text = _b.sent(),
                        _a)];
                case 2: return [4 /*yield*/, rawData.blob()];
                case 3:
                    blob = _b.sent();
                    return [2 /*return*/, {
                            file: newFile([blob], filename !== null && filename !== void 0 ? filename : 'file', { type: blob.type }),
                        }];
            }
        });
    });
}
/**
 * Convert a list of resources to an array of resource file objects.
 *
 * @param requestOptions - Options for the request
 * @param resourceList - A list of resources
 * @returns A PProgress Promise that will resolve with an array of resource file objects.
 */
export function convertResourceDetailsToResources(requestOptions, resourceList) {
    var promises = resourceList.map(function (resource) {
        return getItemResource(requestOptions, { fileName: resource.resource }).then(function (blob) {
            var pathSegments = resource.resource.split('/');
            var name = pathSegments.pop();
            var prefix = pathSegments.join('/');
            return __assign(__assign({ name: name }, (prefix && { prefix: prefix })), { private: resource.access === 'private', resource: newFile([blob], resource.resource, { type: blob.type }) });
        });
    });
    return parallel.apply(void 0, promises);
}
/**
 * Retrieve item content, converting format for item creation.
 *
 * @param requestOptions - Options for the source item request
 * @param options - Copy options
 * @returns A PProgress Promise that will resolve with retrieved item.
 */
export function getItemContent(requestOptions, _a) {
    var _this = this;
    if (_a === void 0) { _a = {}; }
    var item = _a.item, options = __rest(_a, ["item"]);
    // function to retrieve modified item description
    var getDescription = function () { return __awaiter(_this, void 0, void 0, function () {
        var description, _a, thumbnailUrl, _b, _c;
        var _d;
        return __generator(this, function (_e) {
            switch (_e.label) {
                case 0:
                    if (!((_d = item === null || item === void 0 ? void 0 : item.description) !== null && _d !== void 0)) return [3 /*break*/, 1];
                    _a = _d;
                    return [3 /*break*/, 3];
                case 1: return [4 /*yield*/, getItemDescription(requestOptions)];
                case 2:
                    _a = (_e.sent());
                    _e.label = 3;
                case 3:
                    description = _a;
                    thumbnailUrl = "".concat(getPortalUrl(requestOptions), "/content/items/").concat(description.id, "/info/").concat(description.thumbnail);
                    if (!(requestOptions.authentication && description.access !== 'public')) return [3 /*break*/, 5];
                    _b = thumbnailUrl;
                    _c = "?token=".concat;
                    return [4 /*yield*/, requestOptions.authentication.getToken(thumbnailUrl, requestOptions)];
                case 4:
                    thumbnailUrl = _b + _c.apply("?token=", [_e.sent()]);
                    _e.label = 5;
                case 5: return [2 /*return*/, __assign(__assign(__assign(__assign(__assign({}, description), (description.id === description.item && { item: undefined })), { thumbnailUrl: thumbnailUrl }), options === null || options === void 0 ? void 0 : options.description), { owner: undefined })];
            }
        });
    }); };
    // function to retrieve item data converted for add
    var getData = function (description) {
        return getItemData(__assign(__assign({}, requestOptions), { rawResponse: true })).then(function (rawResponse) {
            var _a;
            return convertRawDataResponseToData(rawResponse, (_a = description.item) !== null && _a !== void 0 ? _a : description.name);
        });
    };
    // function to retrieve item resources converted for add
    var getResources = function () { return __awaiter(_this, void 0, void 0, function () {
        var resources;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, getItemResources(requestOptions)];
                case 1:
                    resources = _a.sent();
                    return [2 /*return*/, convertResourceDetailsToResources(requestOptions, resources.resources)];
            }
        });
    }); };
    // build an object with selected option operations
    var description = getDescription();
    var properties = __assign(__assign({ description: description }, ((options === null || options === void 0 ? void 0 : options.data) && { data: description.then(getData) })), ((options === null || options === void 0 ? void 0 : options.resources) && { resources: getResources() }));
    // split object to array of operations returning an object with single property
    var operations = Object.entries(properties).map(function (_a) {
        var key = _a[0], value = _a[1];
        return value.then(function (result) {
            var _a;
            return (_a = {}, _a[key] = result, _a);
        });
    });
    // merge individual operation result objects back into a single object
    return parallel.apply(void 0, operations).then(function (results) {
        return Object.assign.apply(Object, __spreadArray([{}], results, false));
    });
}
/**
 * Copy an item, optionally including data and resources.
 *
 * @param requestOptions - Options for the source item request
 * @param destinationOptions - Options for the destination request
 * @param options - Copy options
 * @returns A PProgress Promise that will resolve with the status of the copy.
 */
export function copyBaseItem(requestOptions, destinationOptions, options) {
    if (options === void 0) { options = {}; }
    var steps = [
        series(
        // get source item
        getItemContent(requestOptions, options), 
        // add new item
        function (newItem) { return addItem(destinationOptions, newItem); }),
    ];
    return createOperation(BaseItemWorkflowOperationTypes.COPY_BASE_ITEM, steps, requestOptions);
}
//# sourceMappingURL=copy.js.map