import { createOperation } from '../../../utilities/index.js';
import copyBaseItem from '../base/index.js';
import { DesktopCategoryItemWorkflowOperationTypes, } from './types.js';
/**
 * Copy a desktop item, optionally including data and resources.
 *
 * @param requestOptions - Options for the source item request
 * @param destinationOptions - Options for the destination request
 * @param options - Copy options
 * @returns A PProgress Promise that will resolve with the status of the copy.
 */
export default function copyDesktopItem(requestOptions, destinationOptions, options) {
    var steps = [
        (function () {
            switch (options.item.type.classification) {
                default:
                    return copyBaseItem(requestOptions, destinationOptions, options);
            }
        })(),
    ];
    return createOperation(DesktopCategoryItemWorkflowOperationTypes.COPY_DESKTOP_ITEM, steps, requestOptions);
}
//# sourceMappingURL=copy.js.map